Bug Hunting Session
Bug 72040 - TABLE: Add Date-Time-Format YYYY-MM-DDThh:mm:ss to Predifined Formats
Summary: TABLE: Add Date-Time-Format YYYY-MM-DDThh:mm:ss to Predifined Formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: BSA target:6.4.0
Keywords:
Depends on:
Blocks: Writer-Tables-Enhancements
  Show dependency treegraph
 
Reported: 2013-11-26 14:28 UTC by Harald Koester
Modified: 2019-08-20 10:15 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-26 14:28:04 UTC
Problem description: 

I miss the date-time-format “YYYY-MM-DDThh:mm:ss” (Example: 2012-01-01T12:00:00) of the ISO 8601 as a predefined proposal in the Number Format dialog of tables. As an enhancement this  format should be added to this dialog.

I made this proposal already in bug 48758. Hence in that bug several problems are described, I split these problems into different bug reports. This report is one of them.
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 m.a.riosv 2013-11-26 19:53:38 UTC
Hi Harald, thanks for reporting.

Better we change the importance from normal to enhancement, and the status to new.

I am agree an ISO standart must be there.
Comment 2 Eike Rathke 2015-02-19 16:28:41 UTC
Just to mention that the format can be easily added by the user with this format code sequence:
YYYY-MM-DD"T"HH:MM:SS
Do we really want to add that to all locales? Most users don't even know the "T" speciality and would use a blank " " instead, so we'd probably have to add both.
Comment 3 Cor Nouws 2015-02-19 17:10:38 UTC
(In reply to Eike Rathke from comment #2)

> Do we really want to add that to all locales? Most users don't even know the
> "T" speciality and would use a blank " " instead, so we'd probably have to
> add both.

It's new to me, but that doesn't say a lot of course ;)
Since I think it won't be visible in the UI, so users are not overloaded (how could that ever happen in LibreOffice :D ) I don't see any problem to add those.

Cheers
Cor
Comment 4 Eike Rathke 2015-02-20 12:07:31 UTC
Of course all formats that are added to locale data (or generated internally which I'd recommend here as the format is identical for all locales) are visible to the user in the number formats dialogue.
Comment 5 Harald Koester 2019-08-16 09:17:08 UTC
Meanwhile the format "YYYY-MM-DD hh:mm:ss" has been added to the predefined formats (currently in version 6.3.0). AFAIK this format is not compliant with ISO 8601. The format "YYYY-MM-DDThh:mm:ss" is still not a predefined format.

Also in Calc the format "YYYY-MM-DDThh:mm:ss" is not offered as a predefined format.
Comment 6 Eike Rathke 2019-08-19 13:21:06 UTC
Sigh.. ok, taking.

Besides,
"ISO 8601:2004(E)". ISO. 2004-12-01. "4.3.2 NOTE: By mutual agreement of the partners in information interchange, the character [T] may be omitted in applications where there is no risk of confusing a date and time of day representation with others defined in this International Standard."
https://en.wikipedia.org/wiki/ISO_8601#cite_note-30

Nevertheless, including the "T" may be required in some data interchange (and can be defined manually as stated in comment 2 already), so just adding it for those unaware..

We then should also implement that if a date+time was input (or read) such the format is applied automatically to preserve it, so it's not just a matter of adding the format. Maybe similar for the variant without "T".
Comment 7 Commit Notification 2019-08-19 16:31:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4ffb036fd5858c1acee9930e8f03d8b8a0d88730%5E%21

Resolves: tdf#72040 add predefined ISO 8601 date+time format with "T"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-08-19 19:52:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a231922c4cf41a834bdc252e726912699c5e6f7d%5E%21

Related: tdf#72040 select ISO 8601 date+time format if 'T' separator in input

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-08-19 19:52:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7dcb5c658987eb52c1bf0b896b0835216f02fac8%5E%21

Related: tdf#72040 select ISO 8601 date+time format without 'T' if input

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.